Function
assignCroppedSeqId
Extracts the sequence id up to the first whitespace of a sequence file fragment.
assignCroppedSeqId(id, seqFragment, formatTag)
Include Headers
seqan/file.h
Parameters

id | The resulting cropped sequence id of the fragment (e.g. Fasta Id). Note: The resulting id contains no whitespaces. Types: CharString
seqFragment | A sequence file fragment. Types: String
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
After calling split on a ConcatDirect StringSet to divide a file into fragments, this function can be used to extract the sequence id up to the first whitespace of every fragment in the StringSet.
See Also
split
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57